@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;400;700&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}
.dropbtn {
  background-color: rgba(69, 91, 150);
  color: white;
  padding: 8px;
  font-size: 16px;
  border-radius: 60px;
  border: none;
  cursor: pointer;
}

.dropdown {
  position: relative;
  display: inline-block;
  margin-top: -50px;
  margin-right: 70px;
}

.dropdown-content {
  display: none;
  position: absolute;
  right: 0;
  background-color: #f9f9f9;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
}

.dropdown-content a {
  color: black;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content a:hover {
  background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
  display: block;
}

.dropdown:hover .dropbtn {
  background-color: rgb(143, 164, 216);
}

header {
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: 30px;
}

header input {
  width: 100%;
  max-width: 280px;
  padding: 10px 15px;
  border: none;
  outline: none;
  background-color: rgba(255, 255, 255, 0.3);
  border-radius: 16px 0px 16px 0px;
  border-bottom: 3px solid rgba(69, 91, 150);

  color: #313131;
  font-size: 20px;
  font-weight: 300;
  transition: 0.2s ease-out;
}
header input:focus {
  background-color: rgba(255, 255, 255, 0.6);
}

body {
  background: url(../images/noaa-jU-JOEZ2saQ-unsplash.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  height: 100%;
  font-family: "Poppins", sans-serif;
}
.container {
  padding: 8px 70px;
  color: rgba(69, 91, 150);
}
.current-info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}
.date-container {
  font-weight: 100;
}
.date-container .time {
  font-size: 70px;
  font-weight: 100;
}
.date-container #am-pm {
  font-size: 30px;
  margin-left: 20px;
}

.date-container .date {
  font-size: 30px;
}
.place-container {
  text-align: end;
}

.place-container .time-zone {
  font-size: 30px;
  font-weight: 100;
}
.place-container .country {
  font-size: 15px;
  font-weight: 700;
}

.current-info .other {
  display: flex;
  flex-direction: column;
  background-color: rgba(69, 91, 150, 0.5);
  color: white;
  border-radius: 10px;
  padding: 20px;
  margin: 10px 0;
  border: 1px solid rgb(243, 238, 255);
}
.current-info .other .weather-item {
  display: flex;
  justify-content: space-between;
}
.future-forecast {
  background: rgba(69, 91, 150, 0.6);
  padding: 25px;
  position: absolute;
  bottom: 0;
  display: flex;
  color: white;
  width: 100%;
  align-items: center;
  justify-content: center;
}
.future-forecast .today {
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid rgb(243, 238, 255);
  border-radius: 10px;
  margin: 0 10px;
  padding: 15px;
  padding-right: 40px;
  background: rgba(0, 0, 0, 0.2);
}
.future-forecast .today .day {
  padding: 5px 15px;
  background: rgb(65, 79, 121);
  border-radius: 50px;
  text-align: center;
}
.future-forecast .today .temp {
  font-size: 19px;
  padding-top: 15px;
}

.future-forecast .weather-forcast {
  display: flex;
}
.weather-forcast .weather-forcast-item {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 10px;
  border: 1px solid rgb(243, 238, 255);
  border-radius: 10px;
  padding: 15px;
  background: rgba(0, 0, 0, 0.2);
}

.weather-forcast .weather-forcast-item .day {
  padding: 5px 15px;
  background: rgb(65, 79, 121);
  border-radius: 50px;
  text-align: center;
}

.weather-forcast .weather-forcast-item .temp {
  font-weight: 120;
  font-size: 14px;
}
/* ------------------------ */
/* Responsive => Tablet */
@media screen and (min-width: 768px) and (max-width: 1030px) {
  body {
    background-size: cover;
    overflow: hidden;
    height: 100vh;
  }
  .future-forecast {
    justify-content: start;
    align-items: none;
    overflow-x: scroll;
    position: fixed;
  }
  /* .current-info .time {
 margin :-30px 2px; 
  }
  */
  }
/* ------------------------ */
/* Responsive => Mobile */
@media only screen and (max-width: 767px) {
  .time {
    display: flex;
    align-items: center;
    justify-content: center;
  }

  header input {
    width: 100%;
    max-width: 180px;
  }
  .date-container {
    text-align: center;
  }
  .weather-forcast-item .day {
    font-size: 15px;
  }
  .future-forecast {
    padding: 20px;
    align-items: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    position: static;
    grid-gap: 5px;
  }

  .weather-forcast {
    display: flex;
    flex-direction: column;
    grid-gap: 5px;
  }
  .future-forecast .today {
    margin: 0 10px;
    padding: 20px;
  }
  .future-forecast .today .day {
    padding: 10px 30px;

    text-align: center;
  }
  .future-forecast .today .temp {
    font-size: 22px;
  }
  .future-forecast .today .other {
    text-align: center;
  }

  .date-container .time {
    font-size: 50px;
    padding-left: 39px;
  }

  .date-container #am-pm {
    font-size: 20px;
  }
  .date-container .date {
    font-size: 20px;
    font-weight: 200;
  }
  .place-container {
    text-align: center;
    margin-top: 0;
    padding-left: 38px;
    padding-right: 33px;
  }
  .place-container .time-zone {
    font-size: 20px;
    font-weight: 300;
  }

  .current-info .other .weather-item {
    font-size: 14px;
    font-weight: 109;
  }

  .dropdown {
    margin-top: -40px;
    margin-right: 10px;
  }
  .dropbtn {
    padding: 6px;
    font-size: 14px;
  }
}
